Get Cards
curl --request GET \
--url https://access.utgl.io/v1/cards \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://access.utgl.io/v1/cards"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://access.utgl.io/v1/cards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"prevPageToken": "<string>",
"nextPageToken": "<string>",
"cards": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cardAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"xid": "<string>",
"xmetadata": "<unknown>",
"status": "active",
"embossedName": "<string>",
"network": "mastercard",
"product": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"imageUrl": "<string>",
"cardType": "<string>",
"cardImageDetails": {
"cardOrientation": "LANDSCAPE",
"cardWidth": "<string>",
"cardHeight": "<string>",
"cardNameFontSize": "<string>",
"cardNameFontWeight": "<string>",
"cardNameLineHeight": "<string>",
"cardNameLetterSpacing": "<string>",
"cardNamePosition": "<string>",
"cardNameCoordinates": [
123
],
"cardNameColor": "<string>"
}
},
"expiryMonth": 9,
"expiryYear": 2030,
"last4": "<string>",
"replacedBy": "<string>",
"cardLimit": 123,
"dailyAtmLimit": 123,
"dailyPurchaseLimit": 123,
"dailyLimit": 123,
"singleTransactionLimit": 123,
"availableLimit": 123,
"cardPresentLimit": 123,
"cardNotPresentLimit": 123,
"mobile": "<string>",
"cardEmail": "john.doe@example.com",
"cardSpendingToday": "10000"
}
]
}Cards
Get Cards
Get Cards
GET
/
cards
Get Cards
Authorizations
BasicBearer
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
Card Account ID
Card ID
Card Embossed Name
Card Status
Available options:
PENDING_ACTIVATION, ACTIVE, LOCKED, SUSPENDED, CANCELLED Card Product ID
The Last 4 Digits of Card Number
Limits the number returned items Some collections have a upper bound that will disregard this value. In case the specified value is higher than the allowed limit, the collection limit will be used. If no page size is provided, the collection will determine the page size itself.
Required range:
x >= 1Example:
"aWVHZWV5OVgK"
Was this page helpful?

